Bug 132344 - FeatRequest: Something similar to Gentoo's softlevel.
FeatRequest: Something similar to Gentoo's softlevel.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-10 23:54 EDT by Patrick Jordan
Modified: 2014-03-16 22:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 02:15:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Jordan 2004-09-10 23:54:41 EDT
Gentoo allows you to boot w/different init-script profiles using a
parameter to the kernel, such as softlevel=home would boot networking
scripts for your home network and daemons you use at home, while
softlevel=work would configure it differently based on what you need
at work. It can also be used for online/offline use, etc.


Additional info:
http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=2&chap=5#doc_chap5
Comment 1 Bill Nottingham 2004-09-11 00:22:35 EDT
There are already networking profiles that you can pass on the
commandline.
Comment 3 Patrick Jordan 2004-10-06 02:15:22 EDT
I've used the networking profiles extensively, but theres not a way as
far as I know to start/stop services.  Take for instance my case: at
home I'd like my laptop, when connected to the network to mount nfs
shares, and open ports related to software I only use at home, as well
as start the distcc service. 

At work I'd like it to mount samba shares, stop distcc. 

I can only see this being useful in a mobile computing way, but anyone
with a mobile pc would find it useful.  Thinking of the networking
profiles which are very useful after bootup, it would be nice to see
them taken one step further and be given the ability to configure
parts of the network aside from the interfaces.

Note You need to log in before you can comment on or make changes to this bug.